This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 174710 - [68cat] com.sun.jdi.IncompatibleThreadStateException at com.sun.tools.jdi.ThreadReferenceImpl.privateFrames
Summary: [68cat] com.sun.jdi.IncompatibleThreadStateException at com.sun.tools.jdi.Thr...
Status: RESOLVED FIXED
Alias: None
Product: debugger
Classification: Unclassified
Component: Java (show other bugs)
Version: 6.x
Hardware: All All
: P3 blocker (vote)
Assignee: Martin Entlicher
URL: http://statistics.netbeans.org/except...
Keywords:
Depends on:
Blocks:
 
Reported: 2009-10-16 05:53 UTC by alied
Modified: 2009-10-22 23:52 UTC (History)
0 users

See Also:
Issue Type: DEFECT
Exception Reporter: 156139


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description alied 2009-10-16 05:53:39 UTC
Build: NetBeans IDE Dev (Build 200910150201)
VM: Java HotSpot(TM) Client VM, 14.2-b01, Java(TM) SE Runtime Environment, 1.6.0_16-b01
OS: Windows Vista, 6.0, x86

User Comments:
alied: Stepping (Shift+F8)



Stacktrace: 
com.sun.jdi.IncompatibleThreadStateException
        at com.sun.tools.jdi.ThreadReferenceImpl.privateFrames(ThreadReferenceImpl.java:365)
        at com.sun.tools.jdi.ThreadReferenceImpl.frame(ThreadReferenceImpl.java:277)
        at org.netbeans.modules.debugger.jpda.jdi.ThreadReferenceWrapper.frame(ThreadReferenceWrapper.java:132)
        at org.netbeans.modules.debugger.jpda.JPDAStepImpl.shouldNotStopHere(JPDAStepImpl.java:605)
        at org.netbeans.modules.debugger.jpda.JPDAStepImpl.exec(JPDAStepImpl.java:469)
        at org.netbeans.modules.debugger.jpda.util.Operator$1.run(Operator.java:447)
Comment 1 Martin Entlicher 2009-10-16 16:02:45 UTC
Fixed in changeset:   149542:a003b17e1d97
http://hg.netbeans.org/main/rev/a003b17e1d97
Comment 2 Quality Engineering 2009-10-17 11:25:39 UTC
Integrated into 'main-golden', will be available in build *200910170201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/a003b17e1d97
User: mentlicher@netbeans.org
Log: #174710 - Prevent from IncompatibleThreadStateException.
Comment 3 Quality Engineering 2009-10-22 23:52:54 UTC
Integrated into 'main-golden', will be available in build *200910221401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/18279e58b2a2
User: mentlicher@netbeans.org
Log: #174849 - Assure that the thread access lock gets unlocked. Fix of issue #174710 is changed.